%bcond_without tests
%bcond_without weak_deps

%global debug_package %{nil}
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
%global __provides_exclude_from ^/opt/agiros/%{agiros_distro}/.*$
%global __requires_exclude_from ^/opt/agiros/%{agiros_distro}/.*$

%define RosPkgName      turtle-tf2-py

%define agiros_distro loong
Name:           agiros-%{agiros_distro}-%{RosPkgName}
Version:        0.3.6
Release:        1%{?dist}%{?release_suffix}
Summary:        ROS turtle-tf2-py package

License:        Apache License, Version 2.0 and BSD
Source0:        %{name}_%{version}.orig.tar.gz

Requires: agiros-%{agiros_distro}-geometry-msgs
Requires: agiros-%{agiros_distro}-launch
Requires: agiros-%{agiros_distro}-launch-ros
Requires: python3-numpy
Requires: agiros-%{agiros_distro}-rclpy
Requires: agiros-%{agiros_distro}-tf2-ros
Requires: agiros-%{agiros_distro}-turtlesim
Requires: agiros-%{agiros_distro}-ros-workspace

BuildRequires: agiros-%{agiros_distro}-ros-workspace

%if 0%{?with_tests}
BuildRequires: agiros-%{agiros_distro}-ament-copyright
BuildRequires: agiros-%{agiros_distro}-ament-flake8
BuildRequires: agiros-%{agiros_distro}-ament-pep257
BuildRequires: python3-pytest
%endif

Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
Provides:       %{name}-runtime = %{version}-%{release}

%description

    turtle_tf2_py demonstrates how to write a ROS2 Python tf2 broadcaster and listener with the turtlesim. The turtle_tf2_listener commands turtle2 to follow turtle1 around as you drive turtle1 using the keyboard.
  

%prep
%autosetup -p1

%build

# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_build

%install
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%py3_install -- --prefix "/opt/agiros/%{agiros_distro}"
find %{buildroot} -name '*.so' -exec patchelf --remove-rpath {} \;

%if 0%{?with_tests}
%check
# Look for a directory with a name indicating that it contains tests
TEST_TARGET=$(ls -d * | grep -m1 "\(test\|tests\)" ||:)
if [ -n "$TEST_TARGET" ] && %__python3 -m pytest --version; then
# In case we're installing to a non-standard location, look for a setup.sh
# in the install tree and source it.  It will set things like
# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
if [ -f "/opt/agiros/%{agiros_distro}/setup.sh" ]; then . "/opt/agiros/%{agiros_distro}/setup.sh"; fi
%__python3 -m pytest $TEST_TARGET || echo "RPM TESTS FAILED"
else echo "RPM TESTS SKIPPED"; fi
%endif

%files
/opt/agiros/%{agiros_distro}

%changelog
* Thu May 04 2023 Alejandro Hernández Cordero alejandro@openrobotics.org - 0.3.6-1
- Autogenerated by ros-porting-tools
